--[[
	Child of State class.
]]

include("../state.lua");

LootState = class(State);

function LootState:constructor()
	self.name = "Loot state";
	self.lasttime = os.time(); -- We're going to just fake loot with time.
	self.prevtime = 0
	self.first = nil
end

function LootState:update()
	if self.first ~= nil then 
		print("back at looting") 
		self.lasttime = os.time();
		self.prevtime = 0		
		self.first = nil  
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then print(timepassed) self.prevtime = self.prevtime + 1 end
	if timepassed > 3  then
		-- End Loot.
		printf("Finished looting.\n");
		stateman:pushEvent("repair");
		self.first = true
		stateman:popState();
	end
end

-- Handle events
function LootState:handleEvent(event)
	-- Start a new combat state.
	if( event == "loot" ) then
		printf("Switching to loot.\n");
		stateman:pushState(LootState());
		return true;
	end
end