--[[
	Child of State class.
]]

include("../state.lua");

CombatState = class(State);

function CombatState:constructor()
	self.name = "Combat state";
	self.lasttime = os.time(); -- We're going to just fake combat with time.
	self.prevtime = 0
	self.newbattle = false
end

function CombatState:update()
	if self.newbattle == true then
		print("back at combat")
		self.lasttime = os.time() 
		self.newbattle = false 
		self.prevtime = 0
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then print(timepassed) self.prevtime = self.prevtime + 1 end
	if timepassed > 3  then
		-- End combat.
		printf("Ending combat.\n");
		self.newbattle = true
		stateman:pushEvent("loot");		
		stateman:popState();
	end
end
